Loading...
Searching...
No Matches
transport_tensor_exact.icc

The tensorial transport benchmark – right-hand-side and exact solution. More...

Go to the source code of this file.

## Classes

struct | sigma_exact
struct | chi

## Functions

point | u (const point &x)

## Variables

tensor | grad_u = {{0,-1},{1,0}}

## Detailed Description

The tensorial transport benchmark – right-hand-side and exact solution.

This file is part of Rheolef.

Copyright (C) 2000-2018 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file transport_tensor_exact.icc.

## Function Documentation

## u()

point u | ( | const point & | x | ) |

Definition at line 25 of file transport_tensor_exact.icc.

## Variable Documentation

## grad_u

tensor grad_u = {{0,-1},{1,0}}

Definition at line 26 of file transport_tensor_exact.icc.